Subject: bug#39963: closed (Re: [PATCH] fd bash_completion typo)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Mar 2020 18:06:02 +0000

Your bug report

#39963: [PATCH] fd bash_completion typo

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39963: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39963
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] fd bash_completion typo
From: Jakub Kądziołka <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 7 Mar 2020 19:05:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Mar 07, 2020 at 01:03:02AM +0100, [email-masked] wrote:
> Hey guix!
> 
> * The "fd" package installs its bash_completion file in the wrong directory.
> 

Thanks! I added a copyright line for you, wrote a commit message and
pushed to master as commit 9eed0a74f92ed4e1b631f4658d98a5f46ad1664d

Regards,
Jakub Kądziołka

Subject: [PATCH] fd bash_completion typo
From: [email-masked]
To: [email-masked]
Date: Sat, 07 Mar 2020 01:03:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey guix!

* The "fd" package installs its bash_completion file in the wrong directory.

diff --git a/gnu/packages/rust-apps.scm b/gnu/packages/rust-apps.scm
index 72c982f23c..ce50562228 100644
--- a/gnu/packages/rust-apps.scm
+++ b/gnu/packages/rust-apps.scm
@@ -184,11 +184,11 @@ also knows about symlinks, extended attributes, and Git.")
                ;; Manpages
                (install-file "doc/fd.1" (string-append out "/share/man/man1"))
                ;; Completions
-               (install-completion "^fd.bash$" "/etc/bash-completion.d")
+               (install-completion "^fd.bash$" "/etc/bash_completion.d")
                (install-completion "^fd.fish$" "/share/fish/vendor_completions.d")
                (install-completion "^_fd$" "/share/zsh/site-functions")
-               (rename-file (string-append out "/etc/bash-completion.d/fd.bash")
-                            (string-append out "/etc/bash-completion.d/fd"))
+               (rename-file (string-append out "/etc/bash_completion.d/fd.bash")
+                            (string-append out "/etc/bash_completion.d/fd"))
                #t))))))
     (inputs `(("jemalloc" ,jemalloc)))
     (home-page "https://github.com/sharkdp/fd")

-- 
APL is a write-only language.  I can write programs in APL, but I can't
read any of them.
		-- Roy Keir